- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Colorselector

## Functions
EOAPI void | elm_obj_colorselector_color_set (int r, int g, int b, int a)
| Set color to colorselector. More...
EOAPI void | elm_obj_colorselector_color_get (int *r, int *g, int *b, int *a)
| Get current color from colorselector. More...
EOAPI void | elm_obj_colorselector_palette_name_set (const char *palette_name)
| Set current palette's name. More...
EOAPI const char * | elm_obj_colorselector_palette_name_get (void)
| Get current palette's name. More...
EOAPI void | elm_obj_colorselector_mode_set (Elm_Colorselector_Mode mode)
| Set Colorselector's mode. More...
EOAPI Elm_Colorselector_Mode | elm_obj_colorselector_mode_get (void)
| Get Colorselector's mode. More...
EOAPI const Eina_List * | elm_obj_colorselector_palette_items_get (void)
| Get list of palette items. More...
EOAPI Elm_Object_Item * | elm_obj_colorselector_palette_selected_item_get (void)
| Get the selected item in colorselector palette. More...
EOAPI Elm_Object_Item * | elm_obj_colorselector_palette_color_add (int r, int g, int b, int a)
| Add a new color item to palette. More...
EOAPI void | elm_obj_colorselector_palette_clear (void)
| Clear the palette items.
Elm_Object_Item * | elm_colorselector::palette_color_add (int r_, int g_, int b_, int a_) const
| Add a new color item to palette. More...
void | elm_colorselector::palette_clear () const
| Clear the palette items.
void | elm_colorselector_color_set (Eo *obj, int r, int g, int b, int a)
| Set color to colorselector. More...
void | elm_colorselector_color_get (const Eo *obj, int *r, int *g, int *b, int *a)
| Get current color from colorselector. More...
void | elm_colorselector_palette_name_set (Eo *obj, const char *palette_name)
| Set current palette's name. More...
const char * | elm_colorselector_palette_name_get (const Eo *obj)
| Get current palette's name. More...
void | elm_colorselector_mode_set (Eo *obj, Elm_Colorselector_Mode mode)
| Set Colorselector's mode. More...
Elm_Colorselector_Mode | elm_colorselector_mode_get (const Eo *obj)
| Get Colorselector's mode. More...
const Eina_List * | elm_colorselector_palette_items_get (const Eo *obj)
| Get list of palette items. More...
Elm_Object_Item * | elm_colorselector_palette_selected_item_get (const Eo *obj)
| Get the selected item in colorselector palette. More...
Elm_Object_Item * | elm_colorselector_palette_color_add (Eo *obj, int r, int g, int b, int a)
| Add a new color item to palette. More...
void | elm_colorselector_palette_clear (Eo *obj)
| Clear the palette items.
void | elm_colorselector_palette_item_color_get (const Elm_Object_Item *it, int *r, int *g, int *b, int *a)
| Get Palette item's color. More...
void | elm_colorselector_palette_item_color_set (Elm_Object_Item *it, int r, int g, int b, int a)
| Set palette item's color. More...
Eina_Bool | elm_colorselector_palette_item_selected_get (const Elm_Object_Item *it)
| Get the selected state of color palette item. More...
void | elm_colorselector_palette_item_selected_set (Elm_Object_Item *it, Eina_Bool selected)
| Set the selected state of color palette item. More...
Evas_Object * | elm_colorselector_add (Evas_Object *parent)
| Add a new colorselector to the parent. More...

## Detailed Description

A ColorSelector is a color selection widget. It allows application to set a series of colors.It also allows to load/save colors from/to config with a unique identifier, by default, the colors are loaded/saved from/to config using "default" identifier. The colors can be picked by user from the color set by clicking on individual color item on the palette or by selecting it from selector.

This widget inherits from the Layout one, so that all the functions acting on it also work for check objects.

This widget emits the following signals, besides the ones sent from Layout:

- `"changed"` - When the color value changes on selector event_info is NULL.
- `"color,item,selected"` - When user clicks on color item. The event_info parameter of the callback will be the selected color item.
- `"color,item,longpressed"` - When user long presses on color item. The event info parameter of the callback contains selected color item.
- `"focused"` - When the colorselector has received focus. (since 1.8)
- `"unfocused"` - When the colorselector has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

See Color selector example.

## Function Documentation

Evas_Object* elm_colorselector_add | ( | Evas_Object * | parent | ) |

Add a new colorselector to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_colorselector_color_get | ( | const Eo * | obj,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get current color from colorselector.

Parameters

  [out] | r | r-value of color
  [out] | g | g-value of color
  [out] | b | b-value of color
  [out] | a | a-value of color

References elm_obj_colorselector_color_get().

void elm_colorselector_color_set | ( | Eo * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set color to colorselector.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

References elm_obj_colorselector_color_set().

Referenced by elm_colorselector_palette_item_selected_set().

Elm_Colorselector_Mode elm_colorselector_mode_get | ( | const Eo * | obj | ) |

Get Colorselector's mode.

Returns
  mode The current mode of colorselector

References elm_obj_colorselector_mode_get().

void elm_colorselector_mode_set | ( | Eo * | obj,
|  | Elm_Colorselector_Mode | mode
| ) |  |

Set Colorselector's mode.

Colorselector supports three modes palette only, selector only and both.

Parameters

  [in] | mode | Elm_Colorselector_Mode

References elm_obj_colorselector_mode_set().

Elm_Object_Item* elm_colorselector_palette_color_add | ( | Eo * | obj,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Add a new color item to palette.

Returns
  A new color palette Item.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

References elm_obj_colorselector_palette_color_add().

void elm_colorselector_palette_item_color_get | ( | const Elm_Object_Item * | it,
|  | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get Palette item's color.

Parameters

  it | The color palette item.
  r | integer pointer for r-value of color
  g | integer pointer for g-value of color
  b | integer pointer for b-value of color
  a | integer pointer for a-value of color

void elm_colorselector_palette_item_color_set | ( | Elm_Object_Item * | it,
|  | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set palette item's color.

Parameters

  it | The color palette item.
  r | r-value of color
  g | g-value of color
  b | b-value of color
  a | a-value of color

Eina_Bool elm_colorselector_palette_item_selected_get | ( | const Elm_Object_Item * | it | ) |

Get the selected state of color palette item.

Parameters

  it | The Colorpalette item

Returns
  `EINA_TRUE` if the item is selected, `EINA_FALSE` otherwise.

Since
  1.9

void elm_colorselector_palette_item_selected_set | ( | Elm_Object_Item * | it,
|  | Eina_Bool | selected
| ) |  |

Set the selected state of color palette item.

Parameters

  it | The Colorpalette item
  selected | if it's `EINA_TRUE`, select the item otherwise, unselect the item

Since
  1.9

References elm_colorselector_color_set(), and elm_object_signal_emit().

const Eina_List* elm_colorselector_palette_items_get | ( | const Eo * | obj | ) |

Get list of palette items.

Returns
  The list of color palette items.

Note That palette item list is internally managed by colorselector widget and it should not be freed/modified by application.

Since
  1.9

References elm_obj_colorselector_palette_items_get().

const char* elm_colorselector_palette_name_get | ( | const Eo * | obj | ) |

Get current palette's name.

Returns
  Name of palette

Returns the currently set palette name using which colors will be saved/loaded in to config.

References elm_obj_colorselector_palette_name_get().

void elm_colorselector_palette_name_set | ( | Eo * | obj,
|  | const char * | palette_name
| ) |  |

Set current palette's name.

When colorpalette name is set, colors will be loaded from and saved to config using the set name. If no name is set then colors will be loaded from or saved to "default" config.

Parameters

  [in] | palette_name | Name of palette

References elm_obj_colorselector_palette_name_set().

Elm_Object_Item* elm_colorselector_palette_selected_item_get | ( | const Eo * | obj | ) |

Get the selected item in colorselector palette.

Returns
  The selected item, or NULL if none is selected.

Since
  1.9

References elm_obj_colorselector_palette_selected_item_get().

EOAPI void elm_obj_colorselector_color_get | ( | int * | r,
|  | int * | g,
|  | int * | b,
|  | int * | a
| ) |  |

Get current color from colorselector.

Parameters

  [out] | r | r-value of color
  [out] | g | g-value of color
  [out] | b | b-value of color
  [out] | a | a-value of color

Referenced by elm_colorselector_color_get().

EOAPI void elm_obj_colorselector_color_set | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Set color to colorselector.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

Referenced by elm_colorselector_color_set().

EOAPI Elm_Colorselector_Mode elm_obj_colorselector_mode_get | ( | void |  | ) |

Get Colorselector's mode.

Returns
  mode The current mode of colorselector

Referenced by elm_colorselector_mode_get().

EOAPI void elm_obj_colorselector_mode_set | ( | Elm_Colorselector_Mode | mode | ) |

Set Colorselector's mode.

Colorselector supports three modes palette only, selector only and both.

Parameters

  [in] | mode | Elm_Colorselector_Mode

Referenced by elm_colorselector_mode_set().

EOAPI Elm_Object_Item* elm_obj_colorselector_palette_color_add | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

Add a new color item to palette.

Returns
  A new color palette Item.

Parameters

  [in] | r | r-value of color
  [in] | g | g-value of color
  [in] | b | b-value of color
  [in] | a | a-value of color

Referenced by elm_colorselector_palette_color_add(), and elm_colorselector::palette_color_add().

EOAPI const Eina_List* elm_obj_colorselector_palette_items_get | ( | void |  | ) |

Get list of palette items.

Returns
  The list of color palette items.

Note That palette item list is internally managed by colorselector widget and it should not be freed/modified by application.

Since
  1.9

Referenced by elm_colorselector_palette_items_get().

EOAPI const char* elm_obj_colorselector_palette_name_get | ( | void |  | ) |

Get current palette's name.

Returns
  Name of palette

Returns the currently set palette name using which colors will be saved/loaded in to config.

Referenced by elm_colorselector_palette_name_get().

EOAPI void elm_obj_colorselector_palette_name_set | ( | const char * | palette_name | ) |

Set current palette's name.

When colorpalette name is set, colors will be loaded from and saved to config using the set name. If no name is set then colors will be loaded from or saved to "default" config.

Parameters

  [in] | palette_name | Name of palette

Referenced by elm_colorselector_palette_name_set().

EOAPI Elm_Object_Item* elm_obj_colorselector_palette_selected_item_get | ( | void |  | ) |

Get the selected item in colorselector palette.

Returns
  The selected item, or NULL if none is selected.

Since
  1.9

Referenced by elm_colorselector_palette_selected_item_get().

Elm_Object_Item* elm_colorselector::palette_color_add | ( | int | r_,
|  | int | g_,
|  | int | b_,
|  | int | a_
| ) |  | const
| inline

Add a new color item to palette.

Returns
  A new color palette Item.

Parameters

  r | r-value of color
  g | g-value of color
  b | b-value of color
  a | a-value of color

References elm_obj_colorselector_palette_color_add().